package com.example.myapplication.database.entities

import androidx.room.Embedded
import androidx.room.Junction
import androidx.room.Relation

data class UserWithCartProduct (
    @Embedded val user : User,
    @Relation(
        parentColumn = "userId",
        entityColumn = "productId",
        associateBy = Junction(UserProductCart::class)
    )
    val products : List<Product>
)