package com.example.myapplication.database.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query
import com.example.myapplication.database.entities.Category
import com.example.myapplication.database.entities.Product
import kotlinx.coroutines.flow.Flow

@Dao
interface CategoryDao {
    @Query("select * from categories")
    fun getAll(): List<Category>

    @Insert
    suspend fun insert(category: Category)
}